Bug 797878 - (CVE-2012-1088) CVE-2012-1088 iproute: multiple insecure temporary file use issues
CVE-2012-1088 iproute: multiple insecure temporary file use issues
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120215,reported=2...
: Security
Depends On: 797881 805443
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-27 06:57 EST by Jan Lieskovsky
Modified: 2014-11-20 15:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-02-27 06:57:31 EST
Multiple (by checking for ATM technology support, checking for Xtables extension support, checking for setns() system call support, and in dhcp-client-script example script) insecure temporary file use cases were found in iproute. A local attacker could use this flaw to conduct symbolic link attacks (modify or remove files via specially-crafted link names).

Upstream patches:
[1] http://git.kernel.org/?p=linux/kernel/git/shemminger/iproute2.git;a=commitdiff;h=e557d1ac3a156ba7521ba44b0b412af4542f83f8
[2] http://git.kernel.org/?p=linux/kernel/git/shemminger/iproute2.git;a=commitdiff;h=20ed7b24df05eadf83168d1d0ce0052a31380928
Comment 1 Jan Lieskovsky 2012-02-27 07:00:53 EST
This issue affects the versions of the iproute package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the iproute package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-02-27 07:02:03 EST
Created iproute tracking bugs for this issue

Affects: fedora-all [bug 797881]
Comment 3 Jan Lieskovsky 2012-02-27 07:09:23 EST
CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/02/27/8
Comment 4 Jan Lieskovsky 2012-02-27 12:15:03 EST
The CVE identifier of CVE-2012-1088 has been assigned to this issue:
[4] http://www.openwall.com/lists/oss-security/2012/02/27/13
Comment 7 Tomas Hoger 2012-03-21 14:56:08 EDT
This CVE covers insecure temporary files use in configure script, which is only used at package build time and does not affect users using binary packages provided by Red Hat, and the other issue affects example dhcp-client-script script, which is not included in iproute packages in Red Hat Enterprise Linux. These issue hence has not impact of Red Hat Enterprise Linux users.  They were addressed in Fedora and hence fixes will be included in future Red Hat Enterprise Linux versions, but there is no plan to backport fixes to already released versions.

Statement:

These issues only affect a script used during package build and do not affect binary iproute packages shipped with Red Hat Enterprise Linux. Therefore, they are not planned to be addressed in iproute packages in Red Hat Enterprise Linux 5 and 6, they are only planned to be addressed in the future Red Hat Enterprise Linux versions.
Comment 8 Fedora Update System 2012-03-21 15:02:13 EDT
iproute-3.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-03-23 20:24:14 EDT
iproute-2.6.38.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-03-23 20:34:58 EDT
iproute-2.6.39-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.